/*  COSMIX: general n_body simulator, version 0.4 Beta
    Copyright (C) 2001 Shan Mignot

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

/* Messages and labels */
#define OK "Ok"
#define CANCEL "Cancel"
#define CHECKLIST "ChkList"
#define QUIT_MESSAGE "All unsaved changes will be lost.\nAre you sure you want to quit cosmix ? \n"
#define START_MESSAGE "Please make sure start is anterior to stop."
#define STOP_MESSAGE "Please make sure stop is posterior to start."
#define OBJECT_NOT_OK_MESSAGE "Please make sure all active objects are OK."
#define POSITIVE_VALUE_MESSAGE "The data must be positive."
#define NON_ZERO_VALUE_MESSAGE "The data cannot be 0."
#define INFINITE_VALUE_MESSAGE "Please make sure the data (mantisse and exponent)\n stays within the acceptable range.\n"
#define INVALID_XML_MESSAGE "The document does not conform to the\n rules defined in system.dtd\n"
#define EMPTY_XML_MESSAGE "The document does not contain xml data"
#define NAMESPACE_XML_MESSAGE "The xml document does not represent a\nCOSMIX physical system (namespace not found).\n"
#define ROOT_XML_MESSAGE "Unexpected root element in xml file,\nshould be simulation.\n"
#define FIRST_NODE_TYPE_XML_MESSAGE "Unexpected first node.\nxmlDocDump in stderr."
#define FILE_OPEN_ERROR_MESSAGE "File opening failed"
#define COMPUTATION_ERROR_MESSAGE "The computation was not successful."
#define COMPUTATION_STATISTICS_MESSAGE "Fonction calls: %ld\nNumber of steps: %ld\nNumber of accepted steps: %ld\nNumber of rejected steps: %ld\n"
#define NO_TEXT ""
#define ABOUT_MESSAGE "\nCOSMIX version 0.4 Beta\n\n \
Copyright (C) May 2001 by Shan Mignot\n\
cosmix.project@free.fr\n\n\
GNU General Public License (version 2)\n\n \
This is an early Newtonian release of COSMIX. COSMIX is a general\n \
N-body integrator for both numerical experimentation and learning\n \
celestial mechanics. Future releases will include relativity... \n
http://cosmix.project.free.fr n\n\n \
A physicist, an engineer, and a computer scientist were\n \
discussing the nature of God.  Surely a Physicist, said the\n \
physicist, because early in the Creation, God made Light; and you\n \
know, Maxwell's equations, the dual nature of electro-magnetic\n \
waves, the relativist consequences... An Engineer!, said the\n \
engineer, because before making Light, God split the Chaos into\n \
Land and Water; it takes a hell of an engineer to handle that big\n \
amount of mud, and orderly separation of solids from\n \
liquids... The computer scientist shouted: And the Chaos,\n \
where do you think it was coming from, hmm?\n"
#define GETTING_STARTED_MESSAGE "Sorry, the help browser has not yet been\n\
implemented, the getting started help is\n\
available in HTML form under help/ in the\n\
COSMIX home directory.\n"

/* Control panel's labels */
#define MASS "Mass:"
#define DIMENSION "Dimension:"
#define POSITION "Position:"
#define SPEED "Speed:"
#define START "Start:"
#define STOP "Stop:"
#define N_STEP "N Steps:"
#define RACCURACY "R Accuracy:"
#define AACCURACY "A Accuracy:"
#define NEWTON "Newtonian"
#define SIMULATE "Simulate"
#define DURATION "Duration"
#define ERROR "Error"

/* Windows' names */
#define WINDOW_COSMIX "Cosmix"
#define WINDOW_QUIT "Quit ?"
#define WINDOW_LOAD_PROJECT "Load project"
#define WINDOW_LOAD_SYSTEM "Load system"
#define WINDOW_LOAD_SCRIPT "Load script"
#define WINDOW_SAVE_SYSTEM "Save system"
#define WINDOW_SAVE_SCRIPT "Save script as system"
#define WINDOW_SAVE_RESULTS "Save results in a text file"
#define TAB_DEF "Def."
#define TAB_GRP "Grp."
#define TAB_TBL "Tbl."
#define TAB_SCR "Scr."
#define WINDOW_CONTROL_PANEL "Control Panel"
#define WINDOW_STATISTICS "Statistics"
#define WINDOW_ABOUT "About"
#define WINDOW_GETTING_STARTED "Getting Started"

/* Frames' names */
#define TOP "X-Y (top)"
#define BTM "X-Y (btm)"
#define FRT "X-Z (frt)"
#define BCK "X-Z (bck)"
#define LFT "Y-Z (lft)"
#define RGT "Y-Z (rgt)"
#define USR "Usr"

/* Tbl columns default names */
#define T_T "t"
#define T_OBJ "Object"
#define T_X "X"
#define T_Y "Y"
#define T_Z "Z"
#define T_VX "Vx"
#define T_VY "Vy"
#define T_VZ "Vz"
#define T_AX "Ax"
#define T_AY "Ay"
#define T_AZ "Az"
#define T_G "G"
#define T_ENERGY "Energy"
#define T_K_ENERGY "Kinetic"
#define T_G_ENERGY "Gravitational"
#define T_FORCE_X "Force X"
#define T_FORCE_Y "Force Y"
#define T_FORCE_Z "Force Z"
#define T_K_MOMENTUM_X "Momentum X"
#define T_K_MOMENTUM_Y "Momentum Y"
#define T_K_MOMENTUM_Z "Momentum Z"

/* Tree default names */
#define TREE "Tree"
#define CHKLST "Ok"
#define STATUS "Status"
#define NAME "Name"
#define COMMENT "Comment"
#define PHY_PARAM "Phy."
#define K_PARAM "K."
#define GR_DEPENDENCIES "Grp."
#define INTER_OBJ "Intrp."

/* Main menu */

/* With accelerators */
#define _MENU_FILE "/_File"
#define _MENU_FILE_TEAR "/_File/tear"
#define _MENU_FILE_NEW "/_File/_New"
#define _MENU_FILE_NEW_PROJECT "/_File/_New/_Project"
#define _MENU_FILE_NEW_SEP1 "/_File/_New/sep1"
#define _MENU_FILE_NEW_SYSTEM "/_File/_New/_System"
#define _MENU_FILE_NEW_SCR "/_File/_New/Sc_ript"
#define _MENU_FILE_LOAD "/_File/_Load"
#define _MENU_FILE_LOAD_PROJECT "/_File/_Load/_Project"
#define _MENU_FILE_LOAD_SEP1 "/_File/_Load/sep1"
#define _MENU_FILE_LOAD_SYSTEM "/_File/_Load/_System"
#define _MENU_FILE_LOAD_SCR "/_File/_Load/Sc_ript"
#define _MENU_FILE_LOAD_SEP2 "/_File/_Load/sep2"
#define _MENU_FILE_LOAD_OBJECTS "/_File/_Load/_Objects"
#define _MENU_FILE_LOAD_CNSTS "/_File/_Load/_Constants"
#define _MENU_FILE_RELOAD "/_File/_Reload"
#define _MENU_FILE_SEP1 "/_File/sep1"
#define _MENU_FILE_RESET "/_File/Rese_t"
#define _MENU_FILE_SAVE "/_File/_Save"
#define _MENU_FILE_SAVE_AS "/_File/Save _as"
#define _MENU_FILE_SAVE_AS_PROJECT "/_File/Save _as/_Project"
#define _MENU_FILE_SAVE_AS_SEP1 "/_File/Save _as/sep1"
#define _MENU_FILE_SAVE_AS_SYSTEM "/_File/Save _as/_System"
#define _MENU_FILE_SAVE_AS_SCR "/_File/Save _as/Sc_ript"
#define _MENU_FILE_SAVE_AS_SEP2 "/_File/Save _as/sep2"
#define _MENU_FILE_SAVE_AS_TBL "/_File/Save _as/_Table"
#define _MENU_FILE_SAVE_AS_ANIM "/_File/Save _as/_Animation"
#define _MENU_FILE_SAVE_AS_SEP3 "/_File/Save _as/sep3"
#define _MENU_FILE_SAVE_AS_OBJECTS "/_File/Save _as/_Objects"
#define _MENU_FILE_SAVE_AS_CNSTS "/_File/Save _as/_Constants"
#define _MENU_FILE_SEP2 "/_File/sep2"
#define _MENU_FILE_PROPERTIES "/_File/_Properties"
#define _MENU_FILE_SEP3 "/_File/sep3"
#define _MENU_FILE_QUIT "/_File/_Quit"
#define _MENU_EDIT "/_Edit"
#define _MENU_EDIT_TEAR "/_Edit/tear"
#define _MENU_DEF "/_Definition"
#define _MENU_DEF_TEAR "/_Definition/tear"
#define _MENU_RES "/_Results"
#define _MENU_RES_TEAR "/_Results/tear"
#define _MENU_SCR "/_Script"
#define _MENU_SCR_TEAR "/_Script/tear"
#define _MENU_TUT "/_Tutor"
#define _MENU_TUT_TEAR "/_Tutor/tear"
#define _MENU_WINDOW "/_Window"
#define _MENU_WINDOW_TEAR "/_Window/tear"
#define _MENU_WINDOW_SHOW "/_Window/Show"
#define _MENU_WINDOW_SHOW_CNT_PANEL "/_Window/Show/Control panel"
#define _MENU_HELP "/_Help "
#define _MENU_HELP_TEAR "/_Help /tear"
#define _MENU_HELP_GETTING_STARTED "/_Help /_Getting started"
#define _MENU_HELP_ABOUT "/_Help /_About"

/* Without the accelerator (used to access the items) */
#define MENU_FILE "/File"
#define MENU_FILE_TEAR "/File/tear"
#define MENU_FILE_NEW "/File/New"
#define MENU_FILE_NEW_PROJECT "/File/New/Project"
#define MENU_FILE_NEW_SEP1 "/File/New/sep1"
#define MENU_FILE_NEW_SYSTEM "/File/New/System"
#define MENU_FILE_NEW_SCR "/File/New/Script"
#define MENU_FILE_LOAD "/File/Load"
#define MENU_FILE_LOAD_PROJECT "/File/Load/Project"
#define MENU_FILE_LOAD_SEP1 "/File/Load/sep1"
#define MENU_FILE_LOAD_SYSTEM "/File/Load/System"
#define MENU_FILE_LOAD_SCR "/File/Load/Script"
#define MENU_FILE_LOAD_SEP2 "/File/Load/sep2"
#define MENU_FILE_LOAD_OBJECTS "/File/Load/Objects"
#define MENU_FILE_LOAD_CNSTS "/File/Load/Constants"
#define MENU_FILE_RELOAD "/File/Reload"
#define MENU_FILE_SEP1 "/File/sep1"
#define MENU_FILE_RESET "/File/Reset"
#define MENU_FILE_SAVE "/File/Save"
#define MENU_FILE_SAVE_AS "/File/Save as"
#define MENU_FILE_SAVE_AS_PROJECT "/File/Save as/Project"
#define MENU_FILE_SAVE_AS_SEP1 "/File/Save as/sep1"
#define MENU_FILE_SAVE_AS_SYSTEM "/File/Save as/System"
#define MENU_FILE_SAVE_AS_SCR "/File/Save as/Script"
#define MENU_FILE_SAVE_AS_SEP2 "/File/Save as/sep2"
#define MENU_FILE_SAVE_AS_TBL "/File/Save as/Table"
#define MENU_FILE_SAVE_AS_ANIM "/File/Save as/Animation"
#define MENU_FILE_SAVE_AS_SEP3 "/File/Save as/sep3"
#define MENU_FILE_SAVE_AS_OBJECTS "/File/Save as/Objects"
#define MENU_FILE_SAVE_AS_CNSTS "/File/Save as/Constants"
#define MENU_FILE_SEP2 "/File/sep2"
#define MENU_FILE_PROPERTIES "/File/Properties"
#define MENU_FILE_SEP3 "/File/sep3"
#define MENU_FILE_QUIT "/File/Quit"
#define MENU_EDIT "/Edit"
#define MENU_EDIT_TEAR "/Edit/tear"
#define MENU_DEF "/Definition"
#define MENU_DEF_TEAR "/Definition/tear"
#define MENU_RES "/Results"
#define MENU_RES_TEAR "/Results/tear"
#define MENU_SCR "/Script"
#define MENU_SCR_TEAR "/Script/tear"
#define MENU_TUT "/Tutor"
#define MENU_TUT_TEAR "/Tutor/tear"
#define MENU_WINDOW "/Window"
#define MENU_WINDOW_TEAR "/Window/tear"
#define MENU_WINDOW_SHOW "/Window/Show"
#define MENU_WINDOW_SHOW_CNT_PANEL "/Window/Show/Control panel"
#define MENU_HELP "/Help "
#define MENU_HELP_TEAR "/Help /tear "
#define MENU_HELP_GETTING_STARTED "/Help /Getting started"
#define MENU_HELP_ABOUT "/Help /About"

/* Tree popup menu */
#define NEW "/New"
#define NEW_PT_OBJ "/New/Point object"
#define COPY "/Copy"
#define EXPAND "/Expand all"
#define COLLAPSE "/Collapse all"
#define DELETE "/Delete"
#define DELETE_ALL "/Delete all"

/* Measure popup menu */
#define _MENU_MEASURE_MEAN "/Mean"
#define _MENU_MEASURE_MEDIAN "/Median"
#define _MENU_MEASURE_MAX "/Max"
#define _MENU_MEASURE_MIN "/Min"
/* Without the accelerator (used to access the items) */
#define MENU_MEASURE_MEAN "Mean"
#define MENU_MEASURE_MEDIAN "Median"
#define MENU_MEASURE_MAX "Max"
#define MENU_MEASURE_MIN "Min"

/* Short Tooltips */
#define TOOLTIP_NEW_PROJECT "New project"
#define TOOLTIP_LOAD "Load system"
#define TOOLTIP_SAVE "Save system"
#define TOOLTIP_PT_OBJ "Point Object"
#define TOOLTIP_DEF_TAB "Define the system"

/* Long Tooltips for detailed explanation */
#define TOOLTIP_NEW_PROJECT_LONG "Clears all of what's currently displayed"
#define TOOLTIP_LOAD_LONG "Restore the application in a state previously saved. This function loads a system, simulation results, graphical elements and script if they existed."
#define TOOLTIP_SAVE_LONG "Save system as an xml file"
#define TOOLTIP_PT_OBJ_LONG "Creates a punctual representation of a physical object. The geometrical domain of validity of this model can be set using the dimension parameter."
#define TOOLTIP_DEF_TAB_LONG "Define the physical system to simulate"
